API ReferenceAssigned Chat Topic User
Creates a AssignedChatTopicUser resource.
POST
Creates a AssignedChatTopicUser resource.
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
The new AssignedChatTopicUser resource
- body
chatUser*stringFormat
uuidchatTopic*stringFormat
uuidAssignedChatTopicUser resource created
- response
id?stringFormat
uuidchatUser?lastReadMessage?|Format
uuidlastReadAt?|Format
date-timemutedUntil?|Format
date-timeisMutedIndefinitely?booleanisTopicOwner?booleanDefault
falseisUnread?booleancreatedAt?stringFormat
date-timecurl -X POST 'https://app.icproject.com/api/instance/demo/chat/assigned-chat-topic-users' \ -H 'Content-Type: application/json' \ -d '{ "chatUser": "919e6062-5be7-4c1f-b771-c4f9044b826c", "chatTopic": "c97d2863-ef81-436f-b49a-6ff7e92c161e"}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "chatUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": false, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string" }, "lastReadMessage": "75d29bd6-43f8-4417-8784-e9c4267edf6b", "lastReadAt": "2019-08-24T14:15:22Z", "mutedUntil": "2019-08-24T14:15:22Z", "isMutedIndefinitely": true, "isTopicOwner": false, "isUnread": true, "createdAt": "2019-08-24T14:15:22Z"}